Last Comment Bug 187828 - E-mails with embedded NULL bytes break messenger
: E-mails with embedded NULL bytes break messenger
Status: RESOLVED DUPLICATE of bug 223062
:
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: x86 Linux
-- major with 1 vote (vote)
: ---
Assigned To: (not reading, please use seth@sspitzer.org instead)
: esther
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-05 14:43 PST by Blu3
Modified: 2008-07-31 01:21 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Blu3 2003-01-05 14:43:38 PST
If you attempt to read an email that contains a 0x00 byte within the body,
Mozilla  can no longer read any emails in that folder.  You must either change
to a new folder and back, or go offline/online.  As well, any pending changes
such as marking messages deleted are lost.

Method of reproduction:  Edit any sample email and embed a NULL byte anywhere in
the body.  In my case my printer sends me emails with a 0x00 at the end of the
message.
Comment 1 User image Pauli Borodulin 2003-01-05 16:09:48 PST
Confirm with Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1)
Gecko/20021130.

I've the same problem while reading my IMAP-folders. After opening email
containing NULL-byte, controlling the folder is impossible and reading any other
message is not possible.
Comment 2 User image Scott Williams 2003-12-10 15:54:42 PST
I had this problem as well when accessing a pop3 folder on my wife's machine running  
Mozilla/5.0 under Windows XP. 
The NUL's occured at the end of the email following an enclosure. 
Comment 3 User image Max Kanat-Alexander 2004-04-14 09:32:05 PDT
FWIW, this bug just got a little publicity, because Outlook has a similar bug,
but it horks Outlook entirely. Reassigning to current owner/QA.
Comment 4 User image Blu3 2004-04-14 10:00:14 PDT
AFAIK, this bug was fixed in CVS some time ago.  I need to investigate.  There
are actually several bugs on this problem.
Comment 5 User image Frank Wein [:mcsmurf] 2004-04-19 09:35:05 PDT
This bug now appeared on Bugtraq (Securityfocus) http://securityfocus.com/bid/10145
Comment 6 User image timeless 2004-04-19 10:00:50 PDT
please reopen if you disagree.

also please update the issue indicating versions which aren't affected. thanks.

*** This bug has been marked as a duplicate of 223062 ***
Comment 7 User image Christian Eyrich 2004-04-19 10:56:40 PDT
Erm, is this bug about having NULL bytes locally in a mbox file, or remote on a
POP3/IMAP4 server?
Comment 8 User image Juha-Matti Laurio 2005-05-28 17:32:34 PDT
(In reply to comment #5)
> This bug now appeared on Bugtraq (Securityfocus)
http://securityfocus.com/bid/10145

In May 2005, it is still 'unpatched' according to SecurityFocus, the latest
affected version is Suite 1.5. Can anyone of Security Team inform to
mailto:vuldb [at] securityfocus.com the recent situation?

Note You need to log in before you can comment on or make changes to this bug.